| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
FuncMinimum::FuncMinimumMisc Class Referencefinal

`#include <src/Components/FuncMinimum.h>`

Collaboration diagram for FuncMinimum::FuncMinimumMisc:
[legend]

## Public Member Functions
| FuncMinimumMisc (const GenFunc &func, Arg &arg)
| standard constructor More...
const Arg & | argument () const
Arg & | argument ()
const GenFunc * | equation () const
const Gradient & | gradient () const

## Private Member Functions
| FuncMinimumMisc ()=delete
| FuncMinimumMisc (const FuncMinimumMisc &)=delete
FuncMinimumMisc & | operator= (const FuncMinimumMisc &)=delete

## Private Attributes
Arg | m_argum
const GenFunc * | m_eq
Gradient | m_grad

## Detailed Description

Definition at line 48 of file FuncMinimum.h.

## Constructor & Destructor Documentation

FuncMinimum::FuncMinimumMisc::FuncMinimumMisc | ( | const GenFunc & | func,
|  | Arg & | arg
| ) |  |

standard constructor

FuncMinimum::FuncMinimumMisc::FuncMinimumMisc | ( |  | ) |
| private delete

FuncMinimum::FuncMinimumMisc::FuncMinimumMisc | ( | const FuncMinimumMisc & |  | ) |
| private delete

## Member Function Documentation

const Arg& FuncMinimum::FuncMinimumMisc::argument | ( |  | ) | const
| inline

Definition at line 57 of file FuncMinimum.h.

57 { return m_argum; }
FuncMinimum::FuncMinimumMisc::m_argum
Arg m_argum
Definition: FuncMinimum.h:70

Arg& FuncMinimum::FuncMinimumMisc::argument | ( |  | ) |
| inline

Definition at line 58 of file FuncMinimum.h.

58 { return m_argum; }
FuncMinimum::FuncMinimumMisc::m_argum
Arg m_argum
Definition: FuncMinimum.h:70

const GenFunc* FuncMinimum::FuncMinimumMisc::equation | ( |  | ) | const
| inline

Definition at line 59 of file FuncMinimum.h.

59 { return m_eq; }
FuncMinimum::FuncMinimumMisc::m_eq
const GenFunc * m_eq
Definition: FuncMinimum.h:71

const Gradient& FuncMinimum::FuncMinimumMisc::gradient | ( |  | ) | const
| inline

Definition at line 60 of file FuncMinimum.h.

60 { return m_grad; }
FuncMinimum::FuncMinimumMisc::m_grad
Gradient m_grad
Definition: FuncMinimum.h:72

FuncMinimumMisc& FuncMinimum::FuncMinimumMisc::operator= | ( | const FuncMinimumMisc & |  | ) |
| private delete

## Member Data Documentation

Arg FuncMinimum::FuncMinimumMisc::m_argum
| private

Definition at line 70 of file FuncMinimum.h.

const GenFunc* FuncMinimum::FuncMinimumMisc::m_eq
| private

Definition at line 71 of file FuncMinimum.h.

Gradient FuncMinimum::FuncMinimumMisc::m_grad
| private

Definition at line 72 of file FuncMinimum.h.

The documentation for this class was generated from the following file:

- GaudiGSL/src/Components/FuncMinimum.h